#define pre	alpha5
%define rel	1	

Summary: 	C++ Garbage Collector	
Name:   	gc	
Group:		System Environment/Libraries
License:	BSD
Version:	6.1
Release:	%{?pre:0.%{pre}.}%{rel}
Url:       	http://www.hpl.hp.com/personal/Hans_Boehm/gc/	
Source:    	http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/%{name}%{version}%{?pre}.tar.gz
# At least pretend to be relocatable
Prefix:		%{_prefix}
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%(id -u -n)-root

%description
The Boehm-Demers-Weiser conservative garbage collector can be used as a garbage 
collecting replacement for C malloc or C++ new.

%package devel
Summary:        %{name} libraries, includes.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
%description devel
%{name} libraries, includes.


%prep
rm -rf "$RPM_BUILD_ROOT"

%setup -q -n %{name}%{version}%{?pre:%pre}


%build
export CFLAGS="$RPM_OPT_FLAGS -DLARGE_CONFIG=1 -DNO_DEBUGING -UALL_INTERIOR_POINTERS"
export CXXFLAGS="$RPM_OPT_FLAGS -DLARGE_CONFIG=1 "

%configure \
	--enable-shared \
	--enable-static 
#	--enable-threads=posix \
#	--enable-parallel-mark

#./configure --target=%{_target_platform}  \
#       --prefix=%{_prefix} \
#       --mandir=%{_mandir} \
#       --enable-shared \
#       --enable-static


make %{?_smp_mflags}


%install
make install DESTDIR="$RPM_BUILD_ROOT"

# Grab stuff missing from make install
install -D -m644 include/gc.h 	$RPM_BUILD_ROOT/%{_includedir}/gc.h
install -D -m644 include/gc_cpp.h	$RPM_BUILD_ROOT/%{_includedir}/gc_cpp.h
install -D -m644 doc/gc.man	$RPM_BUILD_ROOT%{_mandir}/man/man1/gc.1

# Grab docs
cp -a doc/README.contributors doc/README.linux .


%clean
rm -rf 	"$RPM_BUILD_ROOT"


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files 
%defattr(-,root,root)
%doc README*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc doc/*.html
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_mandir}/man/man?/*


%changelog
* Fri Nov 01 2002 Rex Dieter@unl.edu> 6.1-1
- 6.1 release.
- include a few more docs, manpage
- update license (BSD)
- Consider building with: --enable-threads=posix, --enable-parallel-mark
  (for now, no).

* Tue Jul 16 2002 Rex Dieter <rdieter@unl.edu> 6.1-0.alpha5.1
- fix non-smp build, use %%{?_smp_mflags} instead of %%{_smp_mflags} 
- 6.1alpha5

* Thu May 23 2002 Rex Dieter <rdieter@unl.edu> 6.1-0.alpha4.0
- 6.1alpha4

* Wed Jan 02 2002 Rex Dieter <rdieter@math.unl.edu> 6.0-2
- move lib*.so to devel package
- use Prefix: for now to at least pretend relocatability.
- tweak Requires

* Mon Nov 12 2001 Rex Dieter <rdieter@math.unl.edu> 6.0-1
- bump release for rbcontrib.bero.org

* Mon Oct 29 2001 Rex Dieter <rdieter@math.unl.edu> 6.0-0 
- first try
- make -devel pkg
